Summary: SCIM-UIM input method engine which use uim library as the backend
Summary(ja): バックエンドとして uim ライブラリを使った SCIM-UIM インプットメソッドエンジン
Name: scim-uim
Version: 0.2.0
Release: 4%{?_dist_release}
License: GPL
Group: System Environment/Libraries
URL: http://scim.freedesktop.org/

Source0: http://prdownloads.sourceforge.net/scim/%{name}-%{version}.tar.gz
Patch0: scim-uim-0.2.0-include.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: scim-devel >= 1.4.4
BuildRequires: uim-devel >= 1.2.0
Requires: scim >= 1.4.4
Requires: uim >= 1.2.0

%description
This is a SCIM IMEngine module which uses UIM input method library
as the backend.

%description -l ja
バックエンドとして uim ライブラリを使った SCIM-UIM インプットメソッド
エンジンのモジュールです。

%prep
%setup -q
%patch0 -p1 -b .include

%build
%configure --disable-static
make

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README THANKS
%{_libdir}/scim-1.0/1.4.0/IMEngine/uim.so
%exclude %{_libdir}/scim-1.0/1.4.0/IMEngine/uim.la
%dir %{_datadir}/scim
%dir %{_datadir}/scim/icons
%{_datadir}/scim/icons/scim-uim.png

%changelog
* Sun Jul 20 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.0-4
- rebuild with libpng-1.6.12

* Sat Aug 14 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.2.0-3
- rebuilt with uim-1.6.0
- updated Patch0

* Sat Oct 24 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.2.0-2
- rebuilt with uim-1.5.6 (added Patch0 for building uim-1.5.6)

* Sat Oct 11 2008 Shu KONNO <owa@bg.wakwak.com> 0.2.0-1vl5
- new upstream release
- build with uim-1.4.2
- removed *.la
- applied new versioning policy, spec in utf-8

* Sat Aug 12 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.1.4-0vl3
- rebuild with uim-1.2.0
- update URL (source0)
- update Requires: uim, BuildRequires: uim-devel (>= 1.2.0)

* Sun Jul 16 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.1.4-0vl2
- changed Group to System Environment/Libraries

* Sun Jun 25 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.1.4-0vl1
- new upstream release
- build with scim-1.4.4/uim-1.1.0

* Fri Oct 22 2004 IWAI, Masaharu <iwai@alib.jp> 0.1.3-0vl2
- add Japanese summary and description

* Wed Sep  8 2004 IWAI, Masaharu <iwai@alib.jp> 0.1.3-0vl1
- initial build

